Problems starting any of VirtualBox 5.1.? in Solaris 10 Version Generic_144489-06

Discussions related to using VirtualBox on Solaris hosts.

Problems starting any of VirtualBox 5.1.? in Solaris 10 Version Generic_144489-06

Postby Aigle4 » 14. Sep 2016, 11:48

I am having some issues getting VirtualBox running on my Solaris 10 (Version Generic_144489-06) host.

I downloaded and tried to start any of latest VirtualBox 5.1.?

I installed lastly VirtualBox 5.1.6 as following without error:

root@polaris: pkgadd -d VirtualBox-5.1.6-SunOS-amd64-r110634.pkg

The following packages are available:
1 SUNWvbox Oracle VM VirtualBox
(i386) 5.1.6,REV=2016.09.12.18.28.110634

Select package(s) you wish to process (or 'all' to process
all packages). (default: all) [?,??,q]:

Processing package instance <SUNWvbox> from <VirtualBox-5.1.6-SunOS-amd64-r110634.pkg>

Oracle VM VirtualBox(i386) 5.1.6,REV=2016.09.12.18.28.110634
Oracle Corporation
## Executing checkinstall script.
Checking package dependencies...
Done.
.....
Detected Solaris 10 Version Generic_144489-06
.....
Updating the boot archive...

Installation of <SUNWvbox> was successful.

root@polaris: VBoxManage extpack install --replace Oracle_VM_VirtualBox_Extension_Pack-5.1.6-110634.vbox-extpack
0%...10%...20%...30%...40%...50%...60%...70%...80%...90%...100%
Successfully installed "Oracle VM VirtualBox Extension Pack".

But VirtualBox process exit each time with error:

root@polaris:/# VirtualBox
VirtualBox: supR3HardenedMainGetTrustedMain: dlopen("/opt/VirtualBox/amd64/VirtualBox.so",) failed: ld.so.1: VirtualBox: fatal: libdrm.so.2: open failed: No such file or directory
root@polaris:/#

bash-3.00$ id
uid=xxx(guest) gid=yyy(unix)
bash-3.00$ VirtualBox
VirtualBox: supR3HardenedMainGetTrustedMain: dlopen("/opt/VirtualBox/amd64/VirtualBox.so",) failed: ld.so.1: VirtualBox: fatal: libdrm.so.2: open failed: No such file or directory
bash-3.00$

root@polaris: ldd /opt/VirtualBox/amd64/VirtualBox.so
.....
libdrm.so.2 => (file not found)
.....

So the problemn is because libdrm.so.2 cannot be found.

Why VirtualBox.so in any 5.1.? is built against libdrm.so.2 ?

This was not the case with previous versions.

Any idea where and how I can solve this issue?

Thanks in advance for your help.

Aigle4
Aigle4
 
Posts: 2
Joined: 14. Sep 2016, 10:15

Re: Problems starting any of VirtualBox 5.1.? in Solaris 10 Version Generic_144489-06

Postby Ramshankar » 15. Sep 2016, 14:02

It's odd that libdrm isn't shipped with your Solaris version. As for why it's built with libdrm, it's because VirtualBox 5.1 uses a new Qt version.

Could you please paste the output of:
Code: Select all   Expand viewCollapse view
cat /etc/release
Oracle Corp.
Ramshankar
Oracle Corporation
 
Posts: 774
Joined: 7. Jan 2008, 16:17

Re: Problems starting any of VirtualBox 5.1.? in Solaris 10 Version Generic_144489-06

Postby Aigle4 » 16. Sep 2016, 12:38

Hi Ramshankar,

Thanks for your explanation.

Here is the requested output:

root@polaris:/tmp# cat /etc/release
Oracle Solaris 10 9/10 s10x_u9wos_14a X86
Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
Assembled 11 August 2010
root@polaris:/tmp#

Aigle4
Aigle4
 
Posts: 2
Joined: 14. Sep 2016, 10:15

Re: Problems starting any of VirtualBox 5.1.? in Solaris 10 Version Generic_144489-06

Postby Ramshankar » 20. Sep 2016, 12:12

VirtualBox 5.1 does not support Solaris 10u9, but you require u10 or higher. If the bug still exists in u10 please leave a reply here. In the mean time, we'll try to see if there's an easy fix that works/works-around this issue you're having but it's a low-priority task for us since it's an no longer a supported host OS.
Oracle Corp.
Ramshankar
Oracle Corporation
 
Posts: 774
Joined: 7. Jan 2008, 16:17


Return to VirtualBox on Solaris Hosts

Who is online

Users browsing this forum: No registered users and 1 guest